#include <stdio.h>
#include "sensor_interface.h"
#include "sensors.h"


int main(void){
	
	SensorInterface interface(SERIAL_NUMBER);
	
	if (! interface.isAttached()){
		printf("No sensor interface connected\n");
		return 1;
	}
	
	VoltageSensor voltage_sensor(interface, 0, "Voltage");
	CurrentSensor current_sensor(interface, 1, "Current");
	TemperatureSensor intT_sensor(interface, 2, "Internal Temperature", 1.0); //+1 degree correction measured against handheld FLIR reading
	TemperatureSensor extT_sensor(interface, 3, "External Temperature", 1.0); //+1 degree correction measured against handheld FLIR reading
	
	
	printf("Voltage = %.1lf\n", voltage_sensor.readValue());
	printf("Current = %.2lf\n", current_sensor.readValue());
	printf("Internal Temperature = %.1lf\n", intT_sensor.readValue());
	printf("External Temperature = %.1lf\n", extT_sensor.readValue());
	
	return 0;	
}
