#include <stdlib.h>
#include "sensor_interface.h"
#include "sensors.h"
#include "connections_handler.h"
#include "logging.h"


int main(void){
	
	LOGMESSAGE("## Program Restart ##");
	LOGMESSAGE("# Voltage  Current  Internal_Temp  External_Temp");
	
	SensorInterface interface(SERIAL_NUMBER);
	connections_t con;
	double voltage, current, extT, intT;
	int i=0;
	
	initialiseConnectionStruct(&con);
	runConnectionsHandler(&con);
	
	VoltageSensor voltage_sensor(interface, 0, "Voltage");
	CurrentSensor current_sensor(interface, 1, "Current");
	TemperatureSensor intT_sensor(interface, 2, "Internal Temperature", 1.0); //+1 degree correction measured against handheld FLIR reading
	TemperatureSensor extT_sensor(interface, 3, "External Temperature", 1.0); //+1 degree correction measured against handheld FLIR reading
	
	while (true){
		while(i<6){
			if (interface.isAttached()){
				voltage = voltage_sensor.readValue();
				current = current_sensor.readValue();
				intT = intT_sensor.readValue();
				extT = extT_sensor.readValue();				
				sendSensorData(&con, voltage, current, intT, extT);
			}
			i++;
			sleep(10);
		}
		
		i = 0;
		if (interface.isAttached()){
			LOGMESSAGE("%.1lf\t%.2lf\t%.1lf\t%.1lf",voltage, current, intT, extT);
		}		
	}
	return 0; //never get here	
}