#ifndef CONNECTIONS_HANDLER_H_
#define CONNECTIONS_HANDLER_H_

#include <sys/socket.h>
#include <netinet/in.h>
#include <pthread.h>
#include <stdio.h>
#include <unistd.h>
#include "logging.h"


#define MAX_NUM_CLIENTS 4 //maximum number of clients allowed to connect at once
#define PORT_NUM 24602 //port that server will listen on

typedef struct {
	pthread_mutex_t mutex;
	int count;
	int sockfds[MAX_NUM_CLIENTS];
} connections_t;


/* Function prototypes */
void initialiseConnectionStruct(connections_t *con);
void runConnectionsHandler(connections_t *con);
void sendSensorData(connections_t *con, double voltage, double current, double intT, double extT);



#endif /* CONNECTIONS_HANDLER_H_ */
