// Copyright (C) Nial Peters 2011
//
// This file is part of blur.
// blur is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// blur is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with blur.  If not, see <http://www.gnu.org/licenses/>.

/*
 * sensor_interface.hpp
 *
 *  Created on: 10-Jun-2011
 *      Author: njp39
 */

#ifndef SENSOR_INTERFACE_H
#define SENSOR_INTERFACE_H

#define SERIAL_NUMBER 170969 //interface board that is in the FLIR system (at the time of writing)

#include<stdio.h>
#include<iostream>
#include<phidget21.h>

#include"logging.h"


class SensorInterface
{
	friend int onDetach(CPhidgetHandle h, void *userptr);
	friend int onAttach(CPhidgetHandle h, void *userptr);

	public:
		SensorInterface(int serial_number);
		~SensorInterface(void);

		bool isAttached(void);
		void printStats(void);
		int getRawSensorValue(int index);
		int setDigitalOutput(int index, bool value);

	protected:
		void initialise(void);
		void disconnected(void);

	private:
		int serial_number;
		bool connected;
		CPhidgetInterfaceKitHandle handle;

};

int onDetach(CPhidgetHandle h, void *userptr);
int onAttach(CPhidgetHandle h, void *userptr);



#endif /* SENSOR_INTERFACE_H */
