#ifndef CONNECTIONS_HANDLER_H_
#define CONNECTIONS_HANDLER_H_

#include <sys/socket.h>
#include <netinet/in.h>
#include <pthread.h>



#define MAX_NUM_CLIENTS 4 //maximum number of clients allowed to connect at once
#define PORT_NUM 24601 //port that server will listen on
#define MAX_IMAGE_SIZE 1000000 //max size of image that will be sent (in bytes)

typedef struct {
	pthread_mutex_t mutex;
	int count;
	int sockfds[MAX_NUM_CLIENTS];
} connections_t;


/* Function prototypes */
void initialiseConnectionStruct(connections_t *con);
void runConnectionsHandler(connections_t *con);
void sendImageDataToClients(connections_t *con, const char *image);




#endif /* CONNECTIONS_HANDLER_H_ */