#ifndef LED_CONTROL_H_
#define LED_CONTROL_H_

#include <stdio.h>
#include <pthread.h>

#ifdef USE_GPIO
#include <user-gpio.h>
#endif

#define LED_TIME_ON 600 //in milliseconds
#define LED_GPIO_PIN 1 //the gpio pin that the LED is attached to
#define GPIO_ON 0 //because of the p-type transistors on the pins, 0 == on
#define GPIO_OFF 1 //because of the p-type transistors on the pins, 1 == off

typedef struct {
	pthread_mutex_t status_mutex;
	pthread_cond_t status_cond_var;
	enum {IMAGE_RECIEVED, WAITING, PROCESSING, EXIT_NOW, NONE} status;
} led_ctrl_t;


void initialiseLEDStruct(led_ctrl_t *led);
void runLEDIndicator(led_ctrl_t *led_ctrl);
void signalNewImage(led_ctrl_t *led_ctrl);

#endif /* LED_CONTROL_H_ */
