#! python
# -*- coding: utf-8 -*-

import os
import sys
import shutil

desktop_folder = get_special_folder_path("CSIDL_DESKTOPDIRECTORY")
start_menu_folder = get_special_folder_path("CSIDL_STARTMENU")
prog_name = 'blur-view.lnk'

if sys.argv[1] == '-install':
    icon_path = os.path.join(sys.prefix,'icons','blur_viewer.ico')
    script_path = os.path.join(sys.prefix,'Scripts','blur_view.py')
    
    create_shortcut(
        os.path.join(sys.prefix, 'pythonw.exe'), # program
        'Real-time viewer for blur camera control program', # description
        prog_name, # filename
        script_path, # parameters
        '', # workdir
        icon_path, # iconpath
    )
    # move shortcut from current directory to DESKTOP_FOLDER
    shutil.move(os.path.join(os.getcwd(), prog_name),
                os.path.join(desktop_folder, prog_name))
    
    # tell windows installer that we created another
    # file which should be deleted on uninstallation
    file_created(os.path.join(desktop_folder, prog_name))

if sys.argv[1] == '-remove':
    pass
    # This will be run on uninstallation. Nothing to do.